.zachalo-grid {

    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    border-width: 1px 0 0 1px;
    border-color: #ccc;
    border-style: solid;
}

@media (max-width: 1000px){
    .zachalo-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    }
}

@media (max-width: 900px){
    .zachalo-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    }
}

@media (max-width: 700px){
    .zachalo-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    }
}

@media (max-width: 550px){
    .zachalo-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    }
}

@media (max-width: 450px){
    .zachalo-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.zachalo-grid > a {
    display: flex;
    align-items: center;
    justify-content: center;

    border-width: 0 1px 1px 0;
    border-color: #ccc;
    border-style: solid;
    text-decoration: none;
    padding: 9px;
}

.zachalo-grid > a:hover {
    background-color: #eee;
}

[data-theme="dark"] .zachalo-grid {
    border-color: #3a3c42;
}
[data-theme="dark"] .zachalo-grid > a {
    border-color: #3a3c42;
    color: #b0b0b0;
}
[data-theme="dark"] .zachalo-grid > a:hover {
    background: #2f3137;
    color: #d0d0d0;
}